routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Mail\MensagemReset;
use App\Http\Middleware\LogAcessoMiddleware;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(LogAcessoMiddleware::class)->get('/', 'PrincipalController@principal')->name('site.index');

Route::middleware(['auth', LogAcessoMiddleware::class])->prefix('/app')->group(function(){
    
    Route::resource('fornecedor', 'FornecedorController');
    Route::resource('ordenador', 'OrdenadorController');
    Route::resource('empenho', 'EmpenhoController');    
    Route::post('mcc/mostraMccs/', 'MccController@mostraMccs')->name('mostraMccs');
    Route::post('mcc/get_mcc/', 'MccController@getMcc')->name('get-mcc');        
    Route::resource('mcc', 'MccController');    
    Route::post('import-empenho', 'ImportEmpenhoController@import')->name('importEmpenho');
    Route::post('import-mcc', 'ImportMccController@import')->name('importMcc');
    Route::resource('setor', 'SetorController');
    Route::resource('uf', 'UFController');
    Route::resource('tipo', 'TipoLogradouroController');
    Route::resource('logradouro', 'LogradouroController');
    Route::resource('contrato', 'ContratoController');
    Route::resource('pessoa', 'TipoPessoaController');
    Route::resource('espelhamento', 'EspelhamentoController');   
    Route::resource('prepara_espelhamento', 'PreparaEspelhamentoController');    
    Route::get('ido/teste/', 'IdoController@teste')->name('teste');
    Route::resource('ido', 'IdoController');                                  
    Route::resource('lancamento_ido', 'LancamentoIdoController');                   
    Route::resource('natureza_despesa', 'NaturezaDespesasController');                     
    Route::resource('item_despesa', 'ItemNatdespesasController');                   
    Route::post('item_despesa/getItens/{item}', 'ItemNatdespesasController@getItens')->name('get-itens');     
    Route::get('item_despesa/getItens/{item}', 'ItemNatdespesasController@getItens')->name('get-itens');     
    Route::post('imprimir_protocolo', 'ImprimirEmpenhoController@imprimir_protocolo')->name('imprimir_protocolo');
    Route::post('lancamento_unico', 'ImprimirEmpenhoController@lancamento_unico')->name('lancamento_unico');
    Route::resource('recurso_sicom', 'RecursoSicomController');
    Route::resource('modalidade', 'ModalidadeController');
    Route::get('origem-destino/getUsuario/{usuario}', 'OrigemDestinoController@getUsuario');    
    Route::resource('origem-destino', 'OrigemDestinoController');
    
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/mensagem-reset', function() {
	return new MensagemReset();

});

Route::get('/online-user', 'UserController@index')->name('online_user');

app/Ordenador.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Ordenador extends Model
{
    //
    protected $table = 'ordenadores';
    
    protected $fillable = [
        'setor_id',
        'nome_ordenador',
        'matricula_ordenador',        
        'observacao_ordenador'
    ];

    public function setor(){
        return $this->belongsTo(Setor::class);
    }

}

app/Http/Controllers/OrdenadorController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Ordenador;
use App\Setor;
use App\Uf;

class OrdenadorController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        //
        $ordenadores = Ordenador::paginate(10);
        $setores = Setor::all();
        return view('app.ordenador.index', ['ordenadores' => $ordenadores, 'request' => $request->all(), 'setores' => $setores]);        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {        
        $setores = Setor::all();
        return view('app.ordenador.create', ['setores' => $setores]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //Ajustes realizados para aceitar a gravação de Setores

        //dd($request);
        
        $regras = [
            'nome_ordenador' => 'required|min:3|max:50',
            'matricula_ordenador' => 'required|min:1',
            'setor_id' => 'required|min:1|max:30',            
        ];

        $feedback = [
            'required' => 'O Campo :attribute deve ser preenchido',
             'nome_ordenador.min' => 'O Campo :attribute deve ter no mínimo 3 Caracteres',
             'matricula_ordenador.min' => 'O Campo :attribute deve ter no mínimo 1 Caracteres',             
        ];

        $request->validate($regras, $feedback);  
              
        Ordenador::create($request->all());        
        
        return redirect()->route('ordenador.index');
        
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Ordenador $ordenador)
    {
        //
        return view('app.ordenador.show', ['ordenador' => $ordenador]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Ordenador $ordenador)
    {
        //
        $estados = Uf::all();
        $setores = Setor::all();
        return view('app.ordenador.edit', ['estados' => $estados, 'ordenador' => $ordenador, 'setores' => $setores]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Ordenador $ordenador)
    {
        //
        $ordenador->update($request->all());
        return redirect()->route('ordenador.index', ['ordenador' => $ordenador->id]);   
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/app/ordenador/create.blade.php
@extends('site.layouts.basico')

    @section('titulo', 'Ordenadores')

    @section('conteudo') 
<body>
    
    @include('site.layouts._partials.topo')
    <div class="container-fluid py-5">
        <h1 class="text-header fw-bold texto-preto header alinhar-titulo">Ordenadores - Adicionar</h1>
    </div>    
        
    <div class="conteudo-pagina-2"> 
        
        <div class="container texto-container" style="padding-top:10px;">
        
        <form method="post" action="{{ route('ordenador.store') }}" style="padding-top:50px;" class="row gy-2 gx-3 align-items-center cor-container">            
            
            @csrf
                <div class="col-md-4" style="">       
                    <label for="inputNome" class="form-label">NOME</label>                             
                    <input type="text" name="nome_ordenador" value="{{ old('nome_ordenador') }}" class="form-control">                    
                    {{ $errors->has('nome_ordenador') ? $errors->first('nome_ordenador') : '' }}
                </div>    

                <div class="col-auto">
                    <label for="inputMatricula" class="form-label">MATRÍCULA</label> 
                    <input type="numeric" name="matricula_ordenador" value="{{ old('matricula_ordenador') }}" class="form-control">
                    {{ $errors->has('matricula_ordenador') ? $errors->first('matricula_ordenador') : '' }}
                </div>

                <div class="col-md-3" style="">       
                    <label for="inputSetor" class="form-label">SETOR</label>                             
                    
                    <select name="setor_id" class="form-select texto-caixa-alta">
                        <option selected>SELECIONE O SETOR</option>
                                                                        
                            @foreach ($setores as $setor)
                                <option value="{{ $setor->id }}" {{ ($ordenador->setor_id ?? old('setor->id')) == $setor->id ? 'selected' : ''}}>{{ $setor->sigla_setor }}</option>
                            @endforeach                        
                    </select>
                </div> 
                
                <div class="row">
                    <label for="inputObservacao" class="form-label">OBSERVAÇÃO</label>   
                    <textarea name="observacao_ordenador" class="ajuste form-control">{{ old('observacao_ordenador') }}</textarea>
                    {{ $errors->has('observacao_ordenador') ? $errors->first('observacao_ordenador') : '' }}
                </div>                 

                <div class="col-md-2">                    
                    <button type="submit" class="form-control btn-success" style="color:#fff;">CADASTRAR</button>
                </div>                    

            </form>
            </div>

        </div>

    </div>   

</body>   

@endsection

resources/views/app/ordenador/edit.blade.php
@extends('site.layouts.basico')

    @section('titulo', 'Ordenador')

    @section('conteudo') 
<body>
    
    @include('site.layouts._partials.topo')
    <div class="container-fluid py-5">
        <h1 class="texto-header fw-bold texto-preto header alinhar-titulo">Ordenadores - Editar</h1>                       
        <div class = 'menu' style="background-color:#f2f3de;">
            <ul>
                <li><a href = "{{ route('ordenador.create') }}">Novo</a></li>
                <li><a href = "{{ route('ordenador.index') }}">Consulta</a></li>
            </ul>
        </div>        
    </div>    

    <div class="conteudo-pagina">

        {{ $msg ?? '' }}
        <div class="container texto-container cor-container" style="padding-top:10px;">
        
        <form method="post" action="{{ route('ordenador.update', ['ordenador' => $ordenador->id]) }}" style="padding-top:50px;" class="row gy-2 gx-3 align-items-center" >            
            <input type="hidden" name="id" value="{{ $ordenador->id ?? '' }}">
            @csrf
            @method('PUT')

                <div class="col-md-4" style="">       
                    <label for="inputNome" class="form-label">Nome</label>         
                    <input type="text" name="nome_ordenador" value="{{ $ordenador->nome_ordenador ?? old('nome_ordenador') }}" id="autoSizingInput" class="form-control">
                    {{ $errors->has('nome_ordenador') ? $errors->first('nome_ordenador') : '' }}
                </div>    

                <div class="col-auto">
                    <label for="inputMatricula" class="form-label">Matrícula</label> 
                    <input type="numeric" name="matricula_ordenador" value="{{ $ordenador->matricula_ordenador ?? old('matricula_ordenador') }}" class="form-control">
                    {{ $errors->has('matricula_ordenador') ? $errors->first('matricula_ordenador') : '' }}
                </div>
 
                <div class="col-md-2" style="">       
                    <label for="inputSetor" class="form-label">SETOR</label>                             
                    
                    <select name="setor_id" class="form-select texto-caixa-alta">
                        <option selected>SELECIONE O SETOR</option>
                                                                        
                            @foreach ($setores as $setor)
                                <option value="{{ $setor->id }}" {{ ($ordenador->setor_id ?? old('setor->id')) == $setor->id ? 'selected' : ''}}>{{ $setor->sigla_setor }}</option>
                            @endforeach                        
                    </select>
                </div> 
                
                <div class="col-md-12">
                    <label for="inputObservacao" class="form-label">Observação</label>   
                    <textarea name="observacao_ordenador" class="ajuste form-control">{{ $ordenador->observacao_ordenador ?? old('observacao_ordenador') }}</textarea>
                </div>   

                <div class="col-md-2">                    
                    <button type="submit" class="form-control btn-warning" style="color:#fff;">ALTERAR</button>
                </div>                    
                      
                      
            </form>
            </div>

        </div>

    </div>   

</body>   

@endsection

resources/views/app/ordenador/index.blade.php
@extends('site.layouts.basico')

    @section('titulo', 'Ordenador')

    @section('conteudo') 
<body>
    
    @include('site.layouts._partials.topo')
    <div class="container-fluid py-5">
        <h1 class="texto-header fw-bold texto-preto header">Ordenadores - Listar</h1>                                    
    </div>    

    <div class="conteudo-pagina-2">

        <div class="container-fluid" style="padding-top:10px;">
                 <table class="table table-dark table-striped table-hover">
                    <thead>
                        <tr>
                            <th class="texto-caixa-alta">Nome</th>
                            <th class="texto-caixa-alta">Matrícula</th>
                            <th class="texto-caixa-alta">Setor</th>
                            <th class="texto-caixa-alta">Observação</th>
                            <th></th>
                            <th></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                                
                        @foreach ($ordenadores as $ordenador)
                            <tr>
                                <td>{{ $ordenador->nome_ordenador }}</td>
                                <td>{{ $ordenador->matricula_ordenador }}</td>
                                <td>{{ $ordenador->setor->sigla_setor }}</td>                                
                                <td>{{ substr($ordenador->observacao_ordenador, 0, 30) }}</td>  

                                <td>
                                    <a href="{{ route('ordenador.show', ['ordenador' => $ordenador->id]) }}" class="btn btn-sm btn-success" style="color: #fff !important; width:120px;">
                                        <i class="far fa-eye" style="color:#000;"></i> Visualizar
                                    </a>
                                </td>

                                <td>
                                    <a href="" class="btn btn-sm btn-danger" style="color: #fff !important; width:120px;">
                                        <i class="fas fa-trash-alt" style="color:#000;"></i> Excluir
                                    </a>
                                </td>

                                <td>
                                    <a href="{{ route('ordenador.edit', ['ordenador' => $ordenador->id]) }}" class="btn btn-sm btn-primary" style="color: #fff !important; width:120px;">
                                        <i class="fas fa-edit" style="color:#000;"></i> Editar
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>       

                {{ $ordenadores->appends($request)->links() }}                 
                <br>
                Exibindo o Total de <strong>{{ $ordenadores->total() }}</strong> Ordenador(es)
        </div>

        </div>

    </div>   

</body>   

@endsection

resources/views/app/ordenador/show.blade.php
@extends('site.layouts.basico')

    @section('titulo', 'Ordenadores')

    @section('conteudo') 
<body>
    
    @include('site.layouts._partials.topo')
    <div class="container-fluid py-5">
        <h1 class="texto-header fw-bold texto-preto header">Visualizar Ordenadores</h1>                       
    </div>    

    <div class="conteudo-pagina">
        <div class = 'menu' style="">
            <ul>
                <li><a href = "{{ route('ordenador.index') }}">Voltar</a></li>
                <li><a href = "">Consulta</a></li>
            </ul>
        </div>

        <div class="container texto-container" style="padding-top:10px;">
            
            <table class="table table-dark table-striped table-hover">
                <tr>
                    <td class="texto-caixa-alta">ID:</td>
                    <td>{{ $ordenador->id }}</td>
                </tr>
                <tr>
                    <td class="texto-caixa-alta">Nome:</td>
                    <td>{{ $ordenador->nome_ordenador }}</td>
                </tr>                
                <tr>
                    <td class="texto-caixa-alta">Matrícula:</td>
                    <td>{{ $ordenador->matricula_ordenador }}</td>
                </tr>                
                <tr>
                    <td class="texto-caixa-alta">Setor:</td>
                    <td>{{ $ordenador->setor->nome_setor }}</td>
                </tr>
                <tr>
                    <td class="texto-caixa-alta">Observação:</td>
                    <td>{{ $ordenador->observacao_ordenador }}</td>
                </tr>                                
            </table>
        
        </div>  

        </div>

    </div>   

</body>   

@endsection